LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 09-28-2004, 01:24 PM   #1
LordFrancis
Member
 
Registered: Sep 2004
Location: Victoria, BC
Distribution: debian testing
Posts: 53

Rep: Reputation: 15
updating softwares


hello guys!

I'm a real newbie talking about linux, since I got it only a week ago, but it's just miles away from that shi##y windows.
I installed the SuSE 9.1 professional distro and I got a load of softwares with it: that's just great!
but...
how can I update them?
I know there the susewatcher, constantly looking for updates, but it doesnt say that for mozilla there's a new version I can have...
same for gaim

so... how can I update those programs?
can I find only updates, not complete new versions of the softwares?

thanks for your help!
 
Old 09-28-2004, 01:39 PM   #2
halo14
Senior Member
 
Registered: Apr 2004
Location: Surprise, AZ
Distribution: Debian | CentOS | Arch
Posts: 1,103

Rep: Reputation: 45
You need to go have a look at YaST update... if it's saing that there isn't a new version of those programs... than that's because the newer versio is not in the installation tree for distro yet... when it get's there it will be available... alternatively.. you can download the programs directly from their sites.. and if you get an rpm, which you should; as it is SuSE...

Then just run the command:

rpm -Uvh xxxxxx*.rpm

by xxxx*.rpm I mean that you can give the first several letters of the filename and then insert a wildcard "*" with the .rpm...

example:

you want to install te file
"gaim-1.0.0-0rh9.i386.rpm"

instead of keying all that... just do:
"rpm -Uvh gaim*.rpm"

and it will install...

Good Luck to ya...
 
Old 09-28-2004, 01:44 PM   #3
LordFrancis
Member
 
Registered: Sep 2004
Location: Victoria, BC
Distribution: debian testing
Posts: 53

Original Poster
Rep: Reputation: 15
thanks for your answer!

exactly, YaST says there's no newer version in the distro yet.
but taking a look at the programs I have I notice I'm running Mozilla 1.6 and use gaim 0.75 which doesn't support Yahoo! messenger.
so..
I know that there ARE newer versions for these 2 programs and would like to get them.
the only question now is: will YaST install them, overwriting the previously installed versions and will I have ONE programs, or I'll see the older AND the newer version (which I don't want)?
 
Old 09-28-2004, 02:35 PM   #4
mikedeatworld
Member
 
Registered: Nov 2003
Location: Farmington Michigan
Distribution: UBUNTU - Slackware - SuSE 9.1 - Knoppix - Fedora
Posts: 828

Rep: Reputation: 30
YOU is nice as well...
 
Old 09-28-2004, 04:14 PM   #5
detpenguin
Senior Member
 
Registered: Oct 2003
Location: lost in the midwest...
Distribution: Slackware
Posts: 1,091

Rep: Reputation: 45
if it's yahoo messenger you're looking for, the ymessenger build for redhat on the yahoo messenger site has worked perfectly for me.
it's an rpm install, so very easy to get running..
 
Old 09-29-2004, 06:34 AM   #6
LordFrancis
Member
 
Registered: Sep 2004
Location: Victoria, BC
Distribution: debian testing
Posts: 53

Original Poster
Rep: Reputation: 15
yep, I use YOU to update the system

I've seen there is the Yahoo! messenger version for linux but I'd prefer to run only gaim...
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
installing softwares girdharsourabh Linux - Software 1 07-17-2005 06:29 AM
how to install softwares shamsher alam Linux - Software 3 06-22-2005 08:54 AM
where to install softwares LordFrancis Linux - Newbie 4 09-29-2004 07:15 AM
Any FTP softwares JunZ Linux - Software 3 05-30-2004 04:39 PM
what softwares are needed for these? gexiaofei Linux - Software 2 07-28-2003 03:40 PM


All times are GMT -5. The time now is 09:15 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration